package com.loafle.bridge.discoveryhistory;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * Created by root on 16. 11. 15.
 */
@RestController
public class DiscoveriyHistoryController {

    @Autowired
    DiscoveryHistoryRepository discoveryHistoryRepository;


    @RequestMapping(value = "discoveryHistory/{id}", method = RequestMethod.GET)
    public DiscoveryHistory getDiscoveryHistory(@PathVariable(name = "id")long id)  throws Exception {
        return this.discoveryHistoryRepository.findOne(id);
    }

    @RequestMapping(value = "discoveryHistory/", method = RequestMethod.GET)
    public List<DiscoveryHistory> getDiscoveryHistoryList() throws Exception {
        return this.discoveryHistoryRepository.findAll();
    }

}
